class Zone:
    def __init__(self, number=0, name="", actualValue="100", setValue="0", autoMode=False, state=False):
        self.number = number
        self.name = name
        self.actualValue = actualValue
        self.setValue = setValue
        self.autoMode = autoMode #False = manual, True = automatic
        self.state = state #True = off, True = on


    def refreshStatus(self):
        if(self.AutoMode):
            if(self.actualValue < self.setValue):
                self.state = True
            else:
                self.state = False

    def getStatus(self):
        self.refreshStatus()
        return self.state

def getZone(zones, number):
    for zone in zones:
        if(zone.number == number):
            return zone